﻿Declare @@sql varchar(max),
        @@SuppCd varchar(max) = REPLACE(@0,';',''',''')
	
		
set @@sql = 'SELECT A.SUPPLIER_CD,
(select top 1 substring(d.SUPP_NAME,1, case when patindex(''%(%'',d.SUPP_NAME)-1>0 then patindex(''%(%'',d.SUPP_NAME)-1
  else len(d.SUPP_NAME) end ) from TB_M_SUPPLIER_ICS d where d.SUPP_CD=a.SUPPLIER_CD )SUPPLIER_NAME,
  CONFIRM_BY_SUPPLIER,
CONFIRM_DT_SUPPLIER,
  a.ITEM_NO,A.YEAR,
	  ENGINEERING,PRODUCTION_CONTROL,PRODUCTION_OPERATOR,QUALITY_ASSURANCE
      ,OTHER,PLANT_DIRECT,NON_PLANT,STATUS_PERMANENT,STATUS_TEMPORER
      ,EDUCATION_S1_S2,EDUCATION_D3,EDUCATION_HIGH_SCHOOL,NATIONALITY_EXPATRIATE,NATIONALITY_WNI
      ,TOTAL_EMPLOYEE, ISNULL(CONVERT(VARCHAR(MAX), AVERAGE_AGE), '''') as AVERAGE_AGE
      ,A.CHANGED_BY,A.CHANGED_DT,A.CREATED_BY,A.CREATED_DT

  FROM TB_M_SUPPLIER_MAN_POWER A
  
  
  
	where 1=1 '

if(@@SuppCd <> '')
	set @@sql = @@sql + 'and A.SUPPLIER_CD  IN ('''+ @@SuppCd +''') '


execute (@@sql)